Skip to main content
POST
/
cart
/
setVariable
/
{id}
Set or update the variable for an item in the cart
curl --request POST \
  --url https://v3.minestorecms.com/api/cart/setVariable/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "var_id": 123,
  "var_value": "Large"
}
'
import requests

url = "https://v3.minestorecms.com/api/cart/setVariable/{id}"

payload = {
"var_id": 123,
"var_value": "Large"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({var_id: 123, var_value: 'Large'})
};

fetch('https://v3.minestorecms.com/api/cart/setVariable/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": true,
"message": "<string>"
}
{
"success": true,
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the item for which the variable is being set.

Body

application/json
var_id
integer
required

The ID of the variable to be set for the item.

Example:

123

var_value
string
required

The value of the variable to be applied to the item.

Example:

"Large"

Response

Successfully set or updated the variable for the item in the cart.

success
boolean

Indicates if the operation was successful.